Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Attributes | List of all members
FileStreamTest Class Reference
Inheritance diagram for FileStreamTest:

## Protected Attributes
const char * | filename_
char * | json_
size_t | length_

## Additional Inherited Members
Public Types inherited from Test
typedef internal::SetUpTestCaseFunc | SetUpTestCaseFunc
typedef internal::TearDownTestCaseFunc | TearDownTestCaseFunc
typedef internal::SetUpTestCaseFunc | SetUpTestCaseFunc
typedef internal::TearDownTestCaseFunc | TearDownTestCaseFunc
typedef internal::SetUpTestCaseFunc | SetUpTestCaseFunc
typedef internal::TearDownTestCaseFunc | TearDownTestCaseFunc
Public Member Functions inherited from Test
virtual | ~Test ()
virtual | ~Test ()
virtual | ~Test ()
Static Public Member Functions inherited from Test
static void | SetUpTestCase ()
static void | TearDownTestCase ()
static bool | HasFatalFailure ()
static bool | HasNonfatalFailure ()
static bool | HasFailure ()
static void | RecordProperty (const char *key, const char *value)
static void | RecordProperty (const char *key, int value)
static void | SetUpTestCase ()
static void | TearDownTestCase ()
static bool | HasFatalFailure ()
static bool | HasNonfatalFailure ()
static bool | HasFailure ()
static void | RecordProperty (const char *key, const char *value)
static void | RecordProperty (const char *key, int value)
static void | SetUpTestCase ()
static void | TearDownTestCase ()
static bool | HasFatalFailure ()
static bool | HasNonfatalFailure ()
static bool | HasFailure ()
static void | RecordProperty (const char *key, const char *value)
static void | RecordProperty (const char *key, int value)
Protected Member Functions inherited from Test
| Test ()
| Test ()
| Test ()

## Member Data Documentation

const char* filename_
| protected

char* json_
| protected

size_t length_
| protected

The documentation for this class was generated from the following file:

- persistence/rapidjson/test/unittest/filestreamtest.cpp